<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xpath" xmlns:x="http://www.w3.org/TR/xpath">
    <xsl:output method="xml" indent="yes" xalan:indent-amount="4" xmlns:xalan="http://xml.apache.org/xslt"/>
    <xsl:strip-space elements="*"/>

    <xsl:template match="/x:AbsoluteLocationPath">
        <xsl:apply-templates select="x:Child[1]"/>
    </xsl:template>

    <xsl:template match="/x:AbsoluteLocationPath/x:Child[not(descendant::x:OrExpr)]">
        <xsl:element name="{@localName}">
            <xsl:apply-templates select="descendant::x:Equals"/>
            <xsl:apply-templates select="following-sibling::x:Child[1]"/>
        </xsl:element>
    </xsl:template>

    <xsl:template match="/x:AbsoluteLocationPath/x:Child[descendant::x:OrExpr]">
        <xsl:apply-templates select="descendant::x:OrExpr"/>
    </xsl:template>
    <xsl:template match="x:OrExpr">
        <xsl:for-each select="x:*">
            <xsl:element name="{ancestor::x:Child/@localName}">
                <xsl:apply-templates select="descendant-or-self::x:Equals"/>
                <xsl:apply-templates select="ancestor::x:Child/following-sibling::x:Child[1]"/>
            </xsl:element>
        </xsl:for-each>
    </xsl:template>

    <xsl:template match="x:Equals">
        <xsl:attribute name="{x:Attribute/@localName}">
            <xsl:value-of select="x:Literal/text()"/>
        </xsl:attribute>
    </xsl:template>
</xsl:stylesheet>